/****************************************************************/
/*	 OSD Schreiben von Char Stzen                 				*/
/*	 															*/
/*																*/
/*																*/
/*																*/
/*	written by Wolfgang Wierczeyko	Mrz 2008					*/
/*																*/
/*																*/
/*																*/
/*																*/
/****************************************************************/


#include "main.h"


volatile uint8_t		MSEC1000=0;
volatile uint8_t		MSEC100=0;
volatile uint8_t		MSEC10=0;
volatile uint8_t		Tackt=0;

volatile unsigned char 	RX_BUFF_0[RXB_LEN_0];
volatile unsigned char 	rx_poi_0;
volatile unsigned char 	ds_komplett_0;

volatile unsigned char 	r_on = 0;
volatile unsigned char 	r_blink =0;
volatile unsigned char 	g_on = 0;
volatile unsigned char 	g_blink = 0;
volatile int 			old_volt = 0;

void init_io(void)
{
	DDRC = 0xFF;		/* PortD auf Ausgang */
	DDRD = (1<<PIN7);
	sbi(PORTD,7);
	DDRB = (1<<PIN1)|(1<<PIN5)|(1<<PIN7);
//	sbi(PORTB,6);	/* pullup aktibieren */
	sbi(PORTB,1);	/* |cs auf high */ 
}


int main(void)
{
	
	init_io();
	init_timer0();
	init_uarts();

	sei();

	GRUEN_ON;
	
	set_init_osd();

// write_pixel_data();
	
	show_logo();

/* do nothing im Moment */
	while(1)
	{
		if ( MSEC100 == 1)
		{
			MSEC100 = 0;
			rote_led();
			gruene_led();
//			bbb = receive_byte(0xa0);
//			uart_send_binary (bbb);
			
		}

		if(ds_komplett_0 == 1)		/* Datensatz ist da und kann verarbeitet werden */
		{
			Daten_satz_0_verarbeiten();
			send_debug_data();
//			update_lipo_wert();
		}
		if ( MSEC1000 == 1 )
		{
			MSEC1000 = 0;
		
	
		}
	}

}


